## md2pdf python-1.0.1

=== requirements.txt ===
click
loguru
weasyprint
md2html-python

## md2pdf 1.0.1

=== debian/changelog ===
md2pdf (1.0.1-0kali1) kali-dev; urgency=medium

  * Initial release.

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 30 Aug 2024 15:32:31 +0200

=== debian/control ===
Source: md2pdf
Section: python
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders: Sophie Brun <sophie@offensive-security.com>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-setuptools,
 python3-all,
 python3-markdown2,
 python3-pytest,
 python3-pytest-runner,
 weasyprint,
Testsuite: autopkgtest-pkg-pybuild
Standards-Version: 4.7.0
Homepage: https://github.com/jmaupetit/md2pdf
Vcs-Browser: https://gitlab.com/kalilinux/packages/md2pdf
Vcs-Git: https://gitlab.com/kalilinux/packages/md2pdf.git

Package: python3-md2pdf
Architecture: all
Depends:
 ${python3:Depends},
 ${misc:Depends},
Description: Convert Markdown files to PDF with styles (Python 3)
 This package contains a converter of Markdown files to PDF with styles.
 .
 This package installs the library for Python 3.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1

export PYBUILD_NAME=md2pdf


%:
	dh $@ --buildsystem=pybuild

override_dh_auto_test:
	# do not run the tests as they failed in sbuild but not in
	# schroot, I don't understand why

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
    https://github.com/jmaupetit/md2pdf/tags \
    (?:.*?/)v?@ANY_VERSION@@ARCHIVE_EXT@
